import { extend } from '../shared/utils.js';
export default {
  useParams: function useParams(instanceParams) {
    var instance = this;
    if (!instance.modules) return;
    instance.modules.forEach(function (mod) {
      if (mod.params) {
        extend(instanceParams, mod.params);
      }
    });
  },
  useModules: function useModules(modulesParams) {
    if (modulesParams === void 0) {
      modulesParams = {};
    }

    var instance = this;
    if (!instance.modules) return;
    Object.keys(instance.modules).forEach(function (moduleName) {
      var mod = instance.modules[moduleName];
      var moduleParams = modulesParams[moduleName] || {}; // Add event listeners

      if (mod.on && instance.on) {
        Object.keys(mod.on).forEach(function (moduleEventName) {
          instance.on(moduleEventName, mod.on[moduleEventName]);
        });
      } // Module create callback


      if (mod.create) {
        mod.create.bind(instance)(moduleParams);
      }
    });
  }
};